// ID:任务ID, CollectingType:集齐类型, CollectingReward:集齐奖励, CollectingQuantity:集齐奖励数量

export default class M_ActivityDBFCollectingCFG {
  private static data =
      {"1":{"ID":1,"CollectingType":1,"CollectingReward":[1,8,5,54],"CollectingQuantity":[500000,10,10,1]}

      ,"2":{"ID":2,"CollectingType":2,"CollectingReward":[1,8,5,16],"CollectingQuantity":[2500000,20,20,150]}

      ,"3":{"ID":3,"CollectingType":3,"CollectingReward":[1,8,17,25],"CollectingQuantity":[6000000,30,30,1]}

      ,"4":{"ID":4,"CollectingType":4,"CollectingReward":[96,516,17],"CollectingQuantity":[1,1,200]}

      }// ID:任务ID, CollectingType:集齐类型, CollectingReward:集齐奖励, CollectingQuantity:集齐奖励数量


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}